package com.god.base.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.god.base.common.domain.request.BreakdownRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 故障信息
 *
 * @author ChenXinHai
 * @version 2023/11/20 - 19:08
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_car_breakdown")
public class Breakdown {
    // 故障信息表Id
    private Integer id;
    // 车辆VIN
    private String carVin;
    // 故障码Id
    private String breadownId;
    // 故障状态
    private Integer status;
    // 故障开始时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH-mm-ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH-mm-ss",timezone = "GMT+8")
    private Date createTime;
    // 故障结束时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH-mm-ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH-mm-ss",timezone = "GMT+8")
    private Date endTime;
    // 创建者
    private String createBy;
    // 更新人
    private String updateBy;
    // 更新时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH-mm-ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH-mm-ss",timezone = "GMT+8")
    private Date updateTime;


    public static Breakdown addReqBuild(BreakdownRequest breakdownRequest) {
        return Breakdown.builder()
                //把所有的属性点加上
                .id(breakdownRequest.getId())
                .carVin(breakdownRequest.getCarVin())
                .breadownId(breakdownRequest.getBreadownId())
                .status(breakdownRequest.getStatus())
                .createTime(breakdownRequest.getCreateTime())
                .endTime(breakdownRequest.getEndTime())
                .createBy(breakdownRequest.getCreateBy())
                .updateBy(breakdownRequest.getUpdateBy())
                .updateTime(breakdownRequest.getUpdateTime())
                .build();
    }
}
