package com.god.base.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.god.base.common.domain.request.FaultRequest;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 故障表
 *
 * @author ChenXinHai
 * @version 2023/11/21 - 14:59
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName("t_fault")
public class Fault {
    /** 故障id */
    private Integer faultId;

    /** 故障类型 */
    private String faultType;

    /** 故障组 */
    private String faultGroup;

    /** 故障位 */
    private String faultSite;

    /** 故障值 */
    private String faultValue;

    /** 故障标签 */
    private String faultLabel;

    /** 故障码 */
    private String faultCoed;

    /** 是否警告 */
    private Long isWarn;


    public static Fault addFault(FaultRequest faultRequest) {
       return Fault.builder()
               //把所有的属性点加上
                .faultId(faultRequest.getFaultId())
                .faultType(faultRequest.getFaultType())
                .faultGroup(faultRequest.getFaultGroup())
                .faultSite(faultRequest.getFaultSite())
                .faultValue(faultRequest.getFaultValue())
                .faultLabel(faultRequest.getFaultLabel())
                .faultCoed(faultRequest.getFaultCoed())
                .isWarn(faultRequest.getIsWarn())
                .build();
    }
}
