package com.god.base.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 故障码告警
 *
 * @author ChenXinHai
 * @version 2023/11/22 - 19:26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class Faultcodealarm {
    /**
     * 序号
     */
    private Integer serialNumber;
    /**
     * 故障码
     */
    private Integer faultId;
    /**
     * 故障名称
     */
    private String faultName;
    /**
     * 车辆公告型号
     */
    private String vehicleAnnouncementType;
    /**
     * 零部件
     */
    private String parts;
    /**
     * 故障描述
     */
    private String faultDescribe;
    /**
     * 故障级别
     */
    private String faultType;
    /**
     * 级别描述
     */
    private String faultRankDescribe;
    /**
     * 是否产生报警
     */
    private Long isWarn;
    /**
     * 响应方式
     */
    private String responseMode;
    /**
     * 是否创建工单
     */
    private String ifCreate;


}
