package com.god.base.common.domain;

import com.alibaba.druid.util.StringUtils;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
/**
 * 分页查询对象
 *
 * @author ChenXinHai
 * @version 2023/11/20 - 20:00
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class PageQuery {
    /**
     * 第几页
     */
    private Integer page;

    /**
     * 分页长度
     */
    private Integer pageSize;

    /**
     *排序
     */
    private String orderBy;

    public <T> Page<T> buildPage() {
        Page<T> page = new Page<>(this.getPage(), this.getPageSize());
       if (StringUtils.isEmpty(this.getOrderBy())){
            page.addOrder(OrderItem.asc(this.getOrderBy()));
       }
       return page;
    }

}
