package com.god.base.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 日志
 *
 * @author ChenXinHai
 * @version 2023/11/22 - 18:31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("request_log")
public class RequestLog extends Model<RequestLog> {
    private static final long serialVersionUID = 1L;
    /**
     * 编号
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 用户代理（客户端）
     */
    private String userAgent;
    /**
     * 请求URL
     */
    private String requestUrl;
    /**
     * IP
     */
    private String ip;
    /**
     * 请求方法
     */
    private String declaringSignature;
    /**
     * 请求参数
     */
    private String args;
    /**
     * 异常
     */
    private String exception;
    /**
     * 耗时，单位毫秒
     */
    private Integer elapsedTime;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    @Override
    public Serializable pkVal(){
        return this.id;
    }

}
