package com.god.base.common.domain.request;

import com.god.base.common.domain.PageQuery;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 故障码request
 *
 * @author ChenXinHai
 * @version 2023/11/21 - 18:38
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class FaultRequest extends PageQuery {
    /** 故障id */
    private Integer faultId;

    /** 故障类型 */
    private String faultType;

    /** 故障组 */
    private String faultGroup;

    /** 故障位 */
    private String faultSite;

    /** 故障值 */
    private String faultValue;

    /** 故障标签 */
    private String faultLabel;

    /** 故障码 */
    private String faultCoed;

    /** 是否警告 */
    private Long isWarn;
}
