package com.god.base.common.domain.request;

import com.god.base.common.domain.PageQuery;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 电子围栏查询条件
 *
 * @author Lou-Zs
 * @Date 2023/11/20 22:01
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FenceQueryRequest extends PageQuery {


    /**
     * 围栏名称
     */
    private String fenceName;



    /**
     * 激活状态
     * 0-停用
     * 1-开启
     */
    private Integer fenceStatus;

    /**
     * 行驶状态
     * 1-驶入
     * 2-驶出
     */
    private Integer driveStatus;

}
