package com.god.base.server.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 电池箱信息表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_battery_box")
public class BatteryBox {

    /**
     * 电池箱主键
     */
    private long batteryBoxId;
    /**
     * 电池包编码
     */
    private String batteryBoxBatteryPackCoding;
    /**
     * 电池包型名称
     */
    private String batteryBoxName;
    /**
     * 电池型号编号
     */
    private String batteryBoxNumber;
    /**
     * 实际容量
     */
    private String batteryBoxActualCapacity;
    /**
     * 实际电压
     */
    private String batteryBoxVirtualVoltage;
    /**
     * 实际质量
     */
    private String batteryBoxActualMass;
    /**
     * 出厂时间
     */
    @DateTimeFormat
    private Date batteryBoxDate;
    /**
     * 所在电池组编码
     */
    private long cellId;
    /**
     * 所在车辆VIN
     */
    private String carVin;
}
