package com.god.base.server.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.god.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 车辆行驶记录对象
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("driving_record")
@Builder
public class DrivingRecord {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private long id;
    /**
     * vin
     */
    private String vin;
    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间" , width = 30 , dateFormat = "yyyy-MM-dd")
    private Date startTime;
    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间" , width = 30 , dateFormat = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 开始表示
     */
    private String startKey;
    /**
     * 结束标识
     */
    private String endKey;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id",getId())
                .append("vin",getVin())
                .append("startTime",getStartTime())
                .append("endTime",getEndKey())
                .append("startKey",getStartKey())
                .append("endKey",getEndKey())
                .toString();
    }
}
