package com.god.base.server.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 报文信息实体类
 * VehicleMessage
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("vehicle_message")
public class VehicleMessage {
    /**
     * 消息标识
     */
    private String identifier;
    /**
     * VIN码
     */
    private String vin;
    /**
     * 经度
     */
    private String  longitude;
    /**
     * 维度
     */
    private String latitude;
    /**
     * 车速
     */
    private String speed;
    /**
     * 总里程
     */
    private String totalDistance;
    /**
     * 总电压
     */
    private String totalVoltage;
    /**
     * 总电流
     */
    private String joinCurrent;
    /**
     * 绝缘电阻
     */
    private String insulationResistance;
    /**
     * 档位
     */
    private String gears;
    /**
     * 加速踏板行程值
     */
    private String acceleratorPedal;
    /**
     * 制动踏板行程值
     */
    private String brakePedal;
    /**
     * 燃料消耗率
     */
    private String fuelRate;
    /**
     * 电机控制器温度
     */
    private String motorControllerTemperature;
    /**
     * 电机转速
     */
    private String motorSpeed;
    /**
     * 电机转矩
     */
    private String motorTorque;
    /**
     * 电机温度
     */
    private String motorTemperature;
    /**
     * 电机电压
     */
    private String motorVoltage;
    /**
     * 电机电流
     */
    private String motorCurrent;
    /**
     * 动力电池剩余电量SOC
     */
    private String dumpEnergy;
    /**
     * 当前状态允许的最大反馈功率
     */
    private String maximumFeedbackPower;
    /**
     * 当前状态允许最大放电功率
     */
    private String maximumDischargePower;
    /**
     * BMS自检计数器
     */
    private String selfCheckingCounter;
    /**
     * 动力电池充放电电流
     */
    private String chargingAndDischargingCurrent;
    /**
     * 动力电池负载端总电压V3
     */
    private String totalVoltageAtLoadEnd;
    /**
     * 单次最大电压
     */
    private String maximumVoltage;
    /**
     * 单体电池最低电压
     */
    private String lowestVoltageBattery;
    /**
     * 单体电池最高温度
     */
    private String maximumTemperatureBattery;
    /**
     * 单体电池最低温度
     */
    private String lowestTemperatureBattery;
    /**
     * 动力电池可用容量
     */
    private String availableBatteryCapacity;
    /**
     * 车辆状态
     */
    private Integer vehicleState;
    /**
     * 充电状态
     */
    private Integer chargingState;
    /**
     * 运行状态
     */
    private Integer runningStatus;
    /**
     * SOC
     */
    private Integer socStatus;
    /**
     * 可充电储能装置工作状态
     */
    private Integer energyStorageDeviceState;
    /**
     * 驱动电机状态
     */
    private Integer driveMotorCondition;
    /**
     * 定位是否有效
     */
    private Integer positioningState;
    /**
     * 电子防窃系统状态
     */
    private Integer easStatus;
    /**
     * 传动系统状态
     */
    private Integer ptcStatus;
    /**
     * 蓄电池状态
     */
    private Integer epsStatus;
    /**
     * 防滑刹车系统状态
     */
    private Integer absStatus;
    /**
     * 微处理器状态
     */
    private Integer mcuStatus;
    /**
     * 动力电池加热状态
     */
    private Integer batteryHeatingCondition;
    /**
     * 动力电池当前状态
     */
    private Integer currentBatteryStatus;
    /**
     * 动力电池保温状态
     */
    private Integer batteryInsulationStatus;
    /**
     * 电力交换系统状态
     */
    private Integer dcdcStatus;
    /**
     * 充电机状态
     */
    private Integer chgStatus;
    /**
     * 时间
     */
    private Integer time;





}
