package com.god.base.server.common.domain.request;

import com.god.base.common.domain.PageQuery;
import com.god.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 车辆请求参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@NotNull
public class CarRequest extends PageQuery {

    /**
     * 车辆Vin 主键
     */
    @NotEmpty(message = "车辆vin不能为空")
    @Excel(name = "车辆carVibId")
    private String carVinId;
    /**
     * 车辆类型
     */
    @NotNull(message = "车辆类型不能为空")
    @Excel(name = "车辆类型ID")
    private long carTypeId;
    /**
     * 电子围栏ID
     */
    @NotNull(message = "电子围栏不能为空")
    @Excel(name = "电子围栏ID")
    private long fenceId;
    /**
     * 车辆状态  已离线 / 已连接
     */
    @Excel(name = "车辆状态")
    private int status;
    /**
     * 电池厂商
     */
    @NotEmpty(message = "电池厂商不能为空")
    @Excel(name = "电池厂商")
    private String batteryManufacturer;
    /**
     * 电机厂商
     */
    @NotEmpty(message = "电机厂商不能为空")
    @Excel(name = "电机厂商")
    private String motorManufacturer;
    /**
     * 电机编号
     */
    @NotEmpty(message = "电机编号不能为空")
    @Excel(name = "电机编号")
    private String motorNumber;
    /**
     * 电池编号
     */
    @NotEmpty(message = "电池编号不能为空")
    @Excel(name = "电池编号")
    private String batteryNumber;




}
