package com.god.base.server.constant;

/**
 * 故障信息
 *
 * @author ChenXinHai
 * @version 2023/11/22 - 21:48
 */
public enum BreakConstant {
    /**
     * 车辆状态
     */
    GET001("GTX001","vehicleStatus",0),
    /**
     * 充点状态
     */
    GTX002("GTX002","chargingStatus",0),
    /**
     * 运行状态
     */
    GTX003("GTX003","operatingStatus",0),
    /**
     * SOC
     */
    GTX004("GTX004","socStatus",0),
    /**
     * 可充电储能装置工作状态
     */
    GTX005("GTX005","chargingEnergyStorageStatus",0),
    /**
     * 驱动电机状态
     */
    GTX006("GTX006","driveMotorStatus",0),
    /**
     * 定位是否有效
     */
    GTX007("GTX007","positionStatus",0),
    /**
     * EPS工作状态
     */
    GTO0001("GTO001","epsStatus",0),
    /**
     * EAS工作状态
     */
    GTO0002("GTO002","easStatus",0),
    /**
     * PTC工作状态
     */
    GTO003("GTO003","ptcStatus",0),
    /**
     * DCDC工作状态
     */
    GTO004("GTO004","dcdcStatus",0),
    /**
     * EPS工作状态
     */
    GTO005("GTO005","epsStatus",0),
    /**
     * CHG工作状态
     */
    GTO006("GTO006","chgStatus",0),
    /**
     * ABS工作状态
     */
    GTO007("GTO007","absStatus",0),
    /**
     * MCU工作状态
     */
    GTO008("GTO008","mcuStatus",0),
    /**
     * 动力电池加热状态
     */
    GTB001("GTB001","heatingStatus",0),
    /**
     * 动力电池当前状态
     */
    GTB002("GTB002","batteryStatus",0),
    /**
     * 动力电池保温状态
     */
    GTB003("GTB003","batteryInsulationStatus",0);
    private String key;
    private String value;
    private Integer status;
    public String key(){
        return key;
    }
    public Integer status(){
        return status;
    }
    public String value(){
        return value;
    }
    public void value(String value){
        this.value=value;
    }
    BreakConstant(String key,String value,Integer status){
        this.key=key;
        this.value=value;
        this.status=status;
    }
}
