package com.god.base.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.god.base.server.common.domain.Car;
import com.god.base.server.common.domain.request.CarRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


/**
 * 车辆mapper
 */
@Mapper
public interface CarMapper extends BaseMapper<Car> {

    @Select("SELECT\n" +
            "t_car.car_vin_id  ,\n" +
            "t_car_type.car_type_name , \n" +
            "t_fence.fence_name  , \n" +
            "t_car.battery_manufacturer ,\n" +
            "t_car.motor_manufacturer  ,\n" +
            "t_car.motor_number  , \n" +
            "t_car.battery_number  ,\n" +
            "t_car.status \n" +
            "\n" +
            "FROM\n" +
            "\tt_car\n" +
            "\tJOIN t_fence ON t_car.fence_id = t_fence.fence_id\n" +
            "\tJOIN t_car_type ON t_car.car_type_id = t_car_type.id where t_car.user_id = #{userId1}")
    List<Car> getList(@Param("userId1") int userId);

    @Select("select * from t_car where 1=1 " +
            "<if test=\"carVinId != null  and carVinId != ''\"> and car_vin_id = #{carVinId}</if>" +
            "<if test=\"carTypeId != null \"> and car_type_id = #{carTypeId}</if>" +
            "<if test=\"fenceId != null  and fenceId != ''\"> and fence_id = #{fenceId}</if>" +
            "<if test=\"status != null \"> and status = #{status}</if>" +
            "<if test=\"motorManufacturer != null  and motorManufacturer != ''\"> and motor_manufacturer = #{motorManufacturer}</if>" +
            "<if test=\"batteryManufacturer != null  and batteryManufacturer != ''\"> and battery_manufacturer = #{batteryManufacturer}</if>" +
            "<if test=\"motorNumber != null  and motorNumber != ''\"> and motor_number = #{motorNumber}</if>" +
            "<if test=\"batteryNumber != null  and batteryNumber != ''\"> and battery_number = #{batteryNumber}</if>"
    )
    List<Car> selectCarInfoList(Car car);

    /**
     * 车辆管理信息查询
     * @param carRequest
     * @return
     */
    List<Car> selectVehicleInfoList(CarRequest carRequest);

    List<String> getOnlineCarIds();

    Integer getOnlineCarCount();

    Integer getUnOnlineCount();
}
