package com.god.base.server.mapper;

import com.god.base.server.common.domain.DrivingRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 车辆行驶轨迹 mapper 层
 */
@Mapper
public interface DrivingRecordMapper {
    /**
     * 查询车辆行驶记录列表
     * @param drivingRecord
     * @return
     */
    List<DrivingRecord> selectDrivingRecordList(DrivingRecord drivingRecord);

    /**
     * 查询车辆行驶记录
     * @param id 车辆行驶主键
     * @return 车辆行驶记录
     */
    DrivingRecord selectDrivingRecordById(@Param("id") Long id);

    /**
     * 新增车辆行驶记录
     * @param drivingRecord
     * @return 结果
     */
    int insertDrivingRecord(DrivingRecord drivingRecord);

    /**
     * 修改车辆行驶记录
     * @param drivingRecord
     * @return 结果
     */
    int updateDrivingRecord(DrivingRecord drivingRecord);

    /**
     * 批量删除车辆行驶记录
     * @param ids
     * @return
     */
    int deleteDrivingRecordByIds(@Param("ids") Long[] ids);
}




















