package com.god.base.server.service.impl;

import com.god.base.server.common.domain.DrivingRecord;
import com.god.base.server.mapper.DrivingRecordMapper;
import com.god.base.server.service.IDrivingRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName IDrivingRecordServiceImpl
 * @Author WenHao.Sao
 */

/**
 * 车辆行驶记录Service业务层处理
 */
@Service
public class IDrivingRecordServiceImpl implements IDrivingRecordService {

    @Autowired
    private DrivingRecordMapper drivingRecordMapper;

    @Override
    public List<DrivingRecord> selectDrivingRecordList(DrivingRecord drivingRecord) {
        return drivingRecordMapper.selectDrivingRecordList(drivingRecord);
    }

    /**
     * 查询车辆行驶记录
     * @param id 车辆行驶记录主键
     * @return 车辆行驶记录
     */
    @Override
    public DrivingRecord selectDrivingRecordById(Long id) {
        return drivingRecordMapper.selectDrivingRecordById(id);
    }


    /**
     * 新增车辆行驶记录
     * @param drivingRecord 车辆行驶记录
     * @return 结果
     */
    @Override
    public int insertDrivingRecord(DrivingRecord drivingRecord) {
        return drivingRecordMapper.insertDrivingRecord(drivingRecord);
    }

    /**
     * 修改车辆行驶记录
     * @param drivingRecord  车辆行驶记录
     * @return 结果
     */
    @Override
    public int updateDrivingRecord(DrivingRecord drivingRecord) {
        //修改车辆行驶记录
        return drivingRecordMapper.updateDrivingRecord(drivingRecord);
    }

    /**
     * 批量删除车辆行驶记录
     * @param ids
     * @return 结果
     */
    @Override
    public int deleteDrivingRecordByIds(Long[] ids) {
        //批量删除车辆行驶记录
        return drivingRecordMapper.deleteDrivingRecordByIds(ids);
    }
}



























