//package com.god.base.server.utils;
//
//import lombok.extern.log4j.Log4j2;
//import org.springframework.amqp.rabbit.core.RabbitTemplate;
//import org.springframework.data.redis.core.RedisTemplate;
//import org.springframework.stereotype.Component;
//
//import java.util.*;
//
///**
// * 故障消息
// *
// * @author ChenXinHai
// * @version 2023/11/22 - 22:01
// */
//@Component
//@Log4j2
//public class BreakdownMessage {
//    private final RedisTemplate<String,String> redisTemplate;
//    private final RabbitTemplate rabbitTemplate;
//    private Map<String, String> StringLastMsg;
//
//    public BreakdownMessage(RedisTemplate<String, String> redisTemplate, RabbitTemplate rabbitTemplate) {
//        this.redisTemplate = redisTemplate;
//        this.rabbitTemplate= rabbitTemplate;
//    }
//
//    public void falueSms(Map<String,String> messageModel,String vind){
//        String key="chenchen"+vind;
//        List<String> chenchenError = redisTemplate.opsForList().range(key, 0, -1);
//        redisTemplate.opsForList().range("chenchen:errorlog:one",0,-1);
//
//        int size = chenchenError.size();
//
//        if (messageModel.containsKey(vind) && size<1){
//            log.info("发送消息报告异常状态:{}",vind);
//            rabbitTemplate.convertAndSend("chenchen.error",vind);
//            redisTemplate.opsForList().leftPush(key,vind);
//            messageModel.clear();
//        }else if (!messageModel.containsKey(vind) && redisTemplate.hasKey(key)){
//            log.info("发送消息报告故障修复:{}",vind);
//            rabbitTemplate.convertAndSend("chenchen.success",vind);
//            redisTemplate.delete(key);
//            for (String extraKey : chenchenError){
//                log.info("修复故障信息发送:{}",extraKey);
//                rabbitTemplate.convertAndSend("chenchen.successlog",extraKey);
//                redisTemplate.opsForList().remove("chenchen:errorlog:one",1,extraKey);
//                redisTemplate.opsForList().remove("chenchen:errorlog:two",1,extraKey);
//                redisTemplate.opsForHash().delete("chenchen:last_message",extraKey);
//            }
//        }else {
//            log.info("不做操作:{}",vind);
//        }
//        messageModel.clear();
//    }
//
//    public void falueSms2(Map<String,String> messageModel){
//        // 获取redis中存储的Map数据
//        Map<Object, Object> lastMsg = redisTemplate.opsForHash().entries("chenchen:last_message");
//        Map<String, String> stringLastMsg = new HashMap<>(lastMsg.size());
//        for (Map.Entry<Object,Object> entry:lastMsg.entrySet()){
//            if (entry.getKey()!=null && entry.getValue()!=null){
//                stringLastMsg.put(entry.getKey().toString(),entry.getValue().toString());
//            }
//        }
//        List<String> chenchenError=redisTemplate.opsForList().range("chenchen:errorlog:one",0,1);
//        List<String> chenchenError2=redisTemplate.opsForList().range("chenchen:errorlog:two",0,-1);
//        Set<Object> extraKeys = new HashSet<>();
//        // 如果数据没有变化（包括空数据），则不需要处理，直接返回
//
//        if(StringLastMsg.equals(messageModel)){
//            return;
//        }
//        // 发送新增的key-value
//        for (Map.Entry<String, String> stringStringEntry : messageModel.entrySet()) {
//            if (!chenchenError2.contains(stringStringEntry.getKey())){
//                log.info("故障信息发送：{}",stringStringEntry.getKey());
//                rabbitTemplate.convertAndSend("chenchen:errorlog",stringStringEntry.getKey());
//                redisTemplate.opsForList().leftPush("chenchen:errorlog:two",stringStringEntry.getKey());
//                redisTemplate.opsForList().leftPush("chenchen:errorlog:one",stringStringEntry.getKey());
//                redisTemplate.opsForHash().putAll("chenchen:last_message",stringLastMsg);
//            }
//        }
//        for (String key : chenchenError) {
//            if (!messageModel.containsKey(key)){
//                extraKeys.add(key);
//            }
//        }
//        log.info("需要修复的:{}",extraKeys.toString());
//        if(extraKeys.size()>0){
//            for (Object extraKey : extraKeys) {
//                log.info("修复故障信息发送:{}",extraKey);
//                rabbitTemplate.convertAndSend("chenchen.successlog",extraKey);
//                redisTemplate.opsForList().remove("chenchen:errorlog:one",1,extraKey);
//                redisTemplate.opsForList().remove("chenchen:errorlog:two",1,extraKey);
//                redisTemplate.opsForHash().delete("chenchen:last_message",extraKey);
//            }
//        }
//        extraKeys.clear();
//    }
//}
