package com.god.base.server.webSocket.controller;
import com.god.base.server.webSocket.entity.SocketData;
import com.god.base.server.webSocket.handler.SocketHandler;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;


/**
 * WebSocketServer服务类
 */
@ServerEndpoint("/vehicle/realTime/{vin}")
@Component
@Log4j2
public class WebSocketServer {
    /**
     * 连接建立成功调用的方法
     */
    @OnOpen
    public void onOpen(Session session , @PathVariable("vin") String vin){
        log.info("车辆实时轨迹,新连接:{}" , session.getId());
        SocketData socketData = new SocketData();
        socketData.setVin(vin);
        socketData.setSession(session);
        SocketHandler.socketList.add(socketData);
    }

}
