package com.god.base.server.webSocket.handler;

import com.alibaba.fastjson.JSON;
import com.god.base.server.common.domain.VehicleMessage;
import com.god.base.server.common.domainConstants.RedisConstant;
import com.god.base.server.webSocket.entity.SocketData;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.websocket.Session;
import java.util.concurrent.CopyOnWriteArrayList;

/**
 * @author swh的mac
 * @Date 2023/11/20 15:51
 */
@Log4j2
@Component
public class SocketHandler {
    //存放每个客户端对应的MyWebSocket
    public static CopyOnWriteArrayList<SocketData> socketList = new CopyOnWriteArrayList<>();

    @Autowired
    private RedisTemplate redisTemplate;

    @Scheduled(cron = "0/1 * * * * ?")
    public void sendMessageFlush(){
        for (SocketData socketData : socketList) {
            Session session = socketData.getSession();
            VehicleMessage msg = (VehicleMessage) redisTemplate.opsForValue().get(RedisConstant.CURRENT_INFO + ":" + socketData.getVin());
            try {
                session.getBasicRemote().sendText(JSON.toJSONString(msg));
            } catch (Exception e) {
                log.info("{}:连接中断",socketData.getSession().getId());
                socketList.remove(socketData);
            }
        }
    }
}
